Skip to content

List of SBP Banks

Method for getting the names of banks available for SBP payouts via Sber.

The bank name must be passed in the bank_id parameter of the payout feasibility check or SBP payout methods.

URL

Method: GET

  • Production: https://api.baas.kvell.group/v1/sber/sbp/banks
  • Stage: https://api.baas.stage.kvell.group/v1/sber/sbp/banks

Request parameters

Name Data type Required Description
session_id string Yes Identifier of the authorized Sber session

Request example

GET /v1/sber/sbp/banks?session_id=11111111-1111-1111-1111-111111111111 HTTP/1.1
Host: api.baas.kvell.group
X-Api-Key: 00000000-0000-0000-0000-000000000000
X-Signature: signature

Request headers

Name Data type Required Description
X-Api-Key string Yes Unique shop identifier
X-Signature string Yes Signature

The X-Signature signature is generated by concatenating X-Api-Key, session_id, and secret_key. sha256 is computed from the resulting string:

sha256({X-Api-Key}{session_id}{secret_key})

where secret_key is the secret key found in the merchant's shop settings.

Response

Response example

{
  "items": [
    "Сбербанк",
    "Альфа-Банк"
  ]
}
{
  "errors": [
    {
      "code": 0,
      "message": "Field required",
      "field": "session_id"
    }
  ]
}

Response parameters

Name Data type Description
items array List of bank names available for SBP payouts via Sber

Error codes are given in the «General» section.